import { cookies } from "next/headers";

export const GET = async (req, res) => {
    const cookie = await cookies();
    const token = cookie.get("token")?.value;

    if (!token) {
        return new Response(JSON.stringify({ error: "Unauthorized" }), { status: 401 });
    }

    try {
        const response = await fetch(`${process.env.NEXT_PUBLIC_BACKEND_URL}/api/doctors`, {
            method: 'GET',
            headers: {
                'Content-Type': 'application/json',
                cookie: req.headers.get("cookie") || "",
            },
        });

        if (!response.ok) {
            throw new Error('Failed to fetch consultations');
        }

        const data = await response.json();
        return new Response(JSON.stringify(data), { status: 200 });
    } catch (error) {
        console.error('Error fetching consultations:', error);
        return new Response(JSON.stringify({ error: 'Internal server error' }), { status: 500 });
    }
}